#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         Matwachich

 Script Function:
	Petit moteur 2D en AutoIt avec GDIPlus
	
 Versions:
	1.0 - Initiale
	1.1 - Ajout de paramtres du point d'origin d'un sprite dans _GEng_SpriteSetPos
	1.2 - Ajout de _GEng_SpriteCollision
	
 Todo:
	- Animation automatique (boucle, une seule fois...)
	- Sprite phmre (pour explosion, fume...)
	- Class Vecteur, ImageGroup, AnimeSprite
	- Fonction d'application des vecteurs aux Sprites, et d'animations automatiques (AnimeSprite)
		dans _GEng_DrawEnd()
	- Test de colisions avec les bord de l'cran
	- Option dans _SpriteCollision pour empcher la colision: remet le sprite  sa place initila si colision
	
	Dans la version 2 (avec AutoItObject)

#ce ----------------------------------------------------------------------------

#include <GDIPlus.au3>
#include <Array.au3>

; ==============================================================
; ### Special configuration
; ==============================================================
; Debug pens
Global $_dbg_pen1, $_dbg_pen2, $_dbg_pen3
; ---
Global $__GEng_Debug = 0

; ==============================================================
; ### Include moduls
; ==============================================================

#include "GEng\GEng_System.au3"
#include "GEng\GEng_Img.au3"
#include "GEng\GEng_Sprite.au3"
#include "GEng\GEng_Sprite_Collision.au3"
#include "GEng\GEng_Vectors.au3"
#include "GEng\GEng_Draw.au3"
#include "GEng\GEng_Misc.au3"
