#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         Matwachich

 Script Function:


#ce ----------------------------------------------------------------------------

#include <GEngin.au3>
#include <Misc.au3>

Opt("MouseCoordMode", 2)

_GEng_Start("Test", 800, 600)
$hImg_left = _GEng_ImgLoad(@ScriptDir & "\left.png")
$hImg_right = _GEng_ImgLoad(@ScriptDir & "\right.png")

$hSpr = _GEng_SpriteCreate()

Global $USER32_DLL = DllOpen("user32.dll")
Global $mouse_pos, $dimX = 64, $dimY = 64
Do
	_GEng_DrawStart(0xFFFFFFFF)
	; ---
	_SprSwitch()
	_sprSizeSwitch()
	; ---
	$mouse_pos = MouseGetPos()
	_GEng_SpriteSet($hSpr, $mouse_pos[0], $mouse_pos[1], $dimX, $dimY, $GEng_Middle)
	; ---
	_GEng_SpriteDraw($hSpr)
	; ---
	_GEng_DrawEnd()
	Sleep(10)
Until GuiGetMsg() = -3

DllClose($USER32_DLL)
_GEng_Shutdown()

; ---
Func _sprSizeSwitch()
	If _IsPressed('28', $USER32_DLL) Then ; down arrow
		$dimX = 32
		$dimY = 32
	ElseIf _IsPressed('26', $USER32_DLL) Then ; up arrow
		$dimX = 128
		$dimY = 128
	ElseIf _IsPressed('2E', $USER32_DLL) Then ; del
		_GEng_SpriteSetImg($hSpr)
	Else
		$dimX = 64
		$dimY = 64
	EndIf
EndFunc

Func _SprSwitch()
	If _IsPressed('01', $USER32_DLL) Then ; mouse left
		_GEng_SpriteSetImg($hSpr, $hImg_left)
	ElseIf _IsPressed('02', $USER32_DLL) Then ; mouse right
		_GEng_SpriteSetImg($hSpr, $hImg_right)
	EndIf
EndFunc